from core.database.abc.db_model_dao_abc import DbModelDaoABC
from data.schemas.public.user_invitation import UserInvitation


class UserInvitationDao(DbModelDaoABC[UserInvitation]):

    def __init__(self):
        DbModelDaoABC.__init__(
            self, __name__, UserInvitation, "public.user_invitations"
        )
        self.attribute(UserInvitation.email, str)
        self.attribute(UserInvitation.invitation, str)
        self.attribute(UserInvitation.user_space_id, int)


userInvitationDao = UserInvitationDao()
